Ginkgo: gko::Preconditionable Class Reference

| Ginkgo Generated from branch based on main. Ginkgo version 1.11.0 A numerical linear algebra library targeting many-core architectures

Loading...
Searching...
No Matches
gko::Preconditionable Class Reference
Linear Operators » Preconditioners | Linear Operators

A LinOp implementing this interface can be preconditioned. More...

`#include <ginkgo/core/base/lin_op.hpp>`

Inheritance diagram for gko::Preconditionable:
[legend]

## Public Member Functions
virtual std::shared_ptr< const LinOp > | get_preconditioner () const
| Returns the preconditioner operator used by the Preconditionable.
virtual void | set_preconditioner (std::shared_ptr< const LinOp > new_precond)
| Sets the preconditioner operator used by the Preconditionable.

## Detailed Description

A LinOp implementing this interface can be preconditioned.

## Member Function Documentation

## ◆ get_preconditioner()

virtual std::shared_ptr< const LinOp > gko::Preconditionable::get_preconditioner | ( |  | ) | const
| inlinevirtual

Returns the preconditioner operator used by the Preconditionable.

Returns
  the preconditioner operator used by the Preconditionable

Referenced by gko::solver::EnablePreconditionable< DerivedType >::operator=().

## ◆ set_preconditioner()

virtual void gko::Preconditionable::set_preconditioner | ( | std::shared_ptr< const LinOp > | new_precond | ) |
| inlinevirtual

Sets the preconditioner operator used by the Preconditionable.

Parameters

  new_precond | the new preconditioner operator used by the Preconditionable

Reimplemented in gko::solver::EnablePreconditionable< DerivedType >, gko::solver::EnablePreconditionable< Bicg< default_precision > >, gko::solver::EnablePreconditionable< Bicgstab< default_precision > >, gko::solver::EnablePreconditionable< CbGmres< default_precision > >, gko::solver::EnablePreconditionable< Cg< default_precision > >, gko::solver::EnablePreconditionable< Cgs< default_precision > >, gko::solver::EnablePreconditionable< Chebyshev< default_precision > >, gko::solver::EnablePreconditionable< Fcg< default_precision > >, gko::solver::EnablePreconditionable< Gcr< default_precision > >, gko::solver::EnablePreconditionable< Gmres< default_precision > >, gko::solver::EnablePreconditionable< Idr< default_precision > >, gko::solver::EnablePreconditionable< Minres< default_precision > >, and gko::solver::EnablePreconditionable< PipeCg< default_precision > >.

Referenced by gko::solver::EnablePreconditionable< DerivedType >::set_preconditioner().

The documentation for this class was generated from the following file:

- ginkgo/core/base/lin_op.hpp